create table QASSENZE_ASSENZE
(
  IDASSENZA            char(20)        collate SQL_Latin1_General_CP850_BIN not null,
  IDTIPOASSENZA        char(20)        collate SQL_Latin1_General_CP850_BIN not null,
  DATEASSENZA          datetime        not null,
  DESCRIPTIONASSENZA   varchar(500)   ,
  DURATIONASSENZA      float(53)       not null,
  STARTTIMEASSENZA     datetime       ,
  ENDTIMEASSENZA       datetime       ,
  ID_DIPENDENTE        int             not null,
  CREATIONDATETIMEASSENZA datetime        constraint DFAF538FFCF33049B1A1B78BAF0E3E4557 default GETDATE() not null,
  CREATEDBYASSENZA     char(20)       ,
  LASTMODIFIEDDATETIMEASSENZA datetime       ,
  LASTMODIFIEDBYASSENZA char(20)       ,
  AUTHORIZATIONLEVELASSENZA int             constraint DF1CEFEDF2ACB04EE9B5107AD2D9BB9A98
  default 0 not null,
  PERSONALEASSENZA varchar(500)
) ;
alter table QASSENZE_ASSENZE add constraint ASSENZE_PK primary key (IDASSENZA) ;

create table QASSENZE_TIPIASSENZA
(
  IDTIPOASSENZA        char(20)        collate SQL_Latin1_General_CP850_BIN not null,
  CODETIPOASSENZA      varchar(50)     not null,
  DESCRIPTIONTIPOASSENZA varchar(50)     not null,
  STYLETIPOASSENZA     varchar(50)     not null,
  MANDATORYDESCRIPTIOTIPOASSENZA int             constraint DFB71EDAC7E01349898CB0C198BB8078E3 default 0,
  DEFAULTWHOLEDAYTIPOASSENZA int             constraint DFAC52BC24D23148579D3CAE0A48CE446A default 0,
  ACTIVETIPOASSENZA    int             not null
) ;
alter table QASSENZE_TIPIASSENZA add constraint TIPIASSENZA_PK primary key (IDTIPOASSENZA) ;

alter table QASSENZE_ASSENZE add constraint TIPOASSENZA foreign key (IDTIPOASSENZA) references QASSENZE_TIPIASSENZA  ;

alter table QASSENZE_ASSENZE add constraint EMPLOYEEASSENZA foreign key (ID_DIPENDENTE) references PER_ANAGRAFICA ; 